<div class="pages-cabin-chosen content-container cabin-componets-conts" id="pages-cabin-chosen"><div class="container-scroll"><div class="container-scroll-content"><div class="stage-title flag">chosen <a href="http://www.cnblogs.com/change4now/p/5665128.html" target="_blank">（点击查看配置文档说明）</a></div><div class="stage-title">多选</div><p style="margin:0 0 10px 0">新增参数：selected_not_close，仅多选时有用，布尔类型，默认为false。可选值：true 多选时选中一项不关闭弹框；false 多选时选中一项关闭弹框。</p><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><select class="linkTypeSelectBox" multiple><option>demo1</option><option>demo2</option><option>demo3</option><option>demo4</option></select></div><div slot="html"><pre><code>&lt;select class="linkTypeSelectBox">
				&lt;option>demo1&lt;/option>
				&lt;option>demo2&lt;/option>
				&lt;option>demo3&lt;/option>
				&lt;option>demo4&lt;/option>
			&lt;/select></code></pre></div><div slot="js"><pre><code>require('cabin/lib/chosen/chosen.jquery.js');

			$('.linkTypeSelectBox').chosen({
				no_results_text: '没有找到',
				disable_search: true, //关闭搜索功能
				width: "280px",
				selected_not_close: true //仅多选时有用，true 多选时选中一项不关闭弹框；false 多选时选中一项关闭弹框
			});</code></pre></div></code-temp><div class="stage-title">单选，带搜索框</div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><select class="searchSelectBox"><option>demo1</option><option>demo2</option><option>demo3</option><option>demo4</option><option>demo5</option><option>demo6</option><option>demo7</option><option>demo8</option><option>demo9</option><option>demo10</option><option>demo11</option><option>demo12</option><option>demo13</option><option>demo14</option><option>demo15</option><option>demo16</option></select></div><div slot="html"><pre><code>&lt;select class="searchSelectBox">
				&lt;option>demo1&lt;/option>
				&lt;option>demo2&lt;/option>
				&lt;option>demo3&lt;/option>
				&lt;option>demo4&lt;/option>
			&lt;/select></code></pre></div><div slot="js"><pre><code>require('cabin/lib/chosen/chosen.jquery.js');

			$('.searchSelectBox').chosen({
				no_results_text: '没有找到',
				search_contains: true, //关键字模糊搜索，设置为false，则只从开头开始匹配
				width: "400px"
			});</code></pre></div></code-temp><div class="stage-title">多选，关键字模糊搜索</div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><select class="mulitSelectBox" multiple data-placeholder="请选择"><option>demo1</option><option>demo2</option><option>demo3</option><option>demo4</option></select></div><div slot="html"><pre><code>&lt;select class="mulitSelectBox" multiple data-placeholder="请选择">
				&lt;option>demo1&lt;/option>
				&lt;option>demo2&lt;/option>
				&lt;option>demo3&lt;/option>
				&lt;option>demo4&lt;/option>
			&lt;/select></code></pre></div><div slot="js"><pre><code>require('cabin/lib/chosen/chosen.jquery.js');

			$('.mulitSelectBox').chosen({
				no_results_text: '没有找到',
				search_contains: true, //true: 匹配包含，false: 从第一个字符顺序匹配
				width: "300px",
			});</code></pre></div></code-temp><div class="stage-title">多选，分词</div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><select class="separatorSelectBox" multiple data-placeholder="请选择"><option>a1</option><option>b2</option><option>c3</option><option>d4</option><option>e5</option><option>f6</option><option>g7</option><option>h8</option><option>i9</option><option>j10</option><option>k11</option><option>l12</option><option>m13</option></select></div><div slot="html"><pre>
            <code>
              &lt;select class="separatorSelectBox" multiple data-placeholder="请选择">
                &lt;option>demo1&lt;/option>
                &lt;option>demo2&lt;/option>
                &lt;option>demo3&lt;/option>
                &lt;option>demo4&lt;/option>
              &lt;/select>
            </code>
          </pre></div><div slot="js"><pre>
            <code>
              require('cabin/lib/chosen/chosen.jquery.js');
              $('.separatorSelectBox').chosen({
                no_results_text: '没有找到',
                search_contains: false, //true: 匹配包含，false: 从第一个字符顺序匹配
                token_separator: ',', // 分词字符
                width: "300px",
              });
            </code>
          </pre></div></code-temp><div class="stage-title">多选，最多选中数量设置</div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><select class="mulitSearchSelectBox" multiple data-placeholder="请选择"><option>demo1</option><option>demo2</option><option>demo3</option><option>demo4</option></select></div><div slot="html"><pre><code>&lt;select class="mulitSearchSelectBox" multiple data-placeholder="请选择">
				&lt;option>demo1&lt;/option>
				&lt;option>demo2&lt;/option>
				&lt;option>demo3&lt;/option>
				&lt;option>demo4&lt;/option>
			&lt;/select></code></pre></div><div slot="js"><pre><code>require('cabin/lib/chosen/chosen.jquery.js');

			$('.mulitSearchSelectBox').chosen({
				no_results_text: '没有找到',
				search_contains: true, //关键字模糊搜索，设置为false，则只从开头开始匹配
				max_selected_options: 2, //当select为多选时，最多选择个数
				width: "300px",
			});</code></pre></div></code-temp></div></div></div>