<div class="cabin-page-headleftmenu content-container cabin-componets-conts" id="cabin-page-headleftmenu"><div class="container-scroll" id="cabin-page-menu"><div class="container-scroll-content"><div class="stage-title">头部主菜单，左侧子菜单</div><div class="stage-title flag">使用说明</div><p>在项目中modules>header>header.js中初始化simpleHeadMenu插件，在modules>menu>menu.js中初始化CabinMenu插件。</p><h3 style="margin-top:30px">1、head.js</h3><pre><code>
      tpl:
      
      &lt;div id="J_demo_topMenu">&lt;/div>
      
      js:
      
      //引入插件
      require('cabin/widgets/simpleHeadMenu/simpleHeadMenu');
      
      //初始化头部菜单
      //data参数请看下面的参数说明
      handle.jView.find('#J_demo_topMenu').simpleHeadMenu(data);
      </code></pre><h3 style="margin-top:30px">1、menu.js</h3><pre><code>
      tpl:
      
      &lt;div id="J_demo_leftMenu">&lt;/div>
      
      js:
      
      //引入插件
      var cabinMenu = require('cabin/widgets/menu/menu');
      
      init:function(){       
        ...
        //初始化左侧菜单
        //data参数请查看CabinMenu说明
        handle.jView.find('#J_demo_leftMenu').CabinMenu({
          menu: data,
          theme: 'light', // dark | light
          expand: false //是否全部展开菜单
        });
      },
      update:function(data){
        //更新左侧菜单
        handle.jView.find('#J_demo_leftMenu').CabinMenu('update', {menu: data});
      }
      </code></pre><p class="font-error">simpleHeadMenu，CabinMenu两个插件的theme请根据头部和左侧容器的风格来选择，即：项目中layout>column>column.js，或layout>index>index.js中引入的tpl有关，详细请查看<a @click="goto('layout')">layout介绍。</a></p><h3 style="margin-top:30px">头部菜单样式：</h3><code-temp v-bind:showdemo="true" v-bind:showhtml="false" v-bind:showjs="false" v-bind:showcss="false"><div slot="demo"><div id="J_headleftmenu_myMenu" style="background:#3B3B59;margin-bottom:60px"></div></div></code-temp><h3 style="margin-top:30px">左侧菜单请查看<a href="#index/cabin/components/menu">leftMenu 左侧菜单</a></h3><div class="stage-title flag">渲染菜单数据参数说明：</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>参数</th><th>说明</th><th>类型</th><th>可选值</th><th>默认值</th></tr></thead><tbody><tr><td><div>outShowSubCls</div></td><td><div>外部显示子菜单的容器class名,请保证全局唯一</div></td><td><div>string，必填</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>theme</div></td><td><div>风格，有主题色和白色可选</div></td><td><div>string</div></td><td><div>dark,light</div></td><td><div>light</div></td></tr><tr><td><div>menu</div></td><td><div>渲染菜单的全部数据，包含头部和左侧菜单的全部数据</div></td><td><div>object，必填</div></td><td><div></div></td><td><div></div></td></tr><tr><td><div>selectedFn(dom, outshowsub, subMenuData)</div></td><td><div>选中头部菜单后执行的回调函数，参数：选中的菜单dom，是否在外部容器显示子菜单：布尔值，选中菜单子菜单数据：数组</div></td><td><div>function，必填</div></td><td><div></div></td><td><div></div></td></tr></tbody></table></div><div class="stage-title flag">menu参数说明：</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>参数</th><th>说明</th><th>类型</th><th>可选值</th><th>默认值</th></tr></thead><tbody><tr><td><div>icon</div></td><td><div>当前菜单显示的字体图标class，请查看 菜单图标</div></td><td><div>string</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>name</div></td><td><div>菜单显示文案</div></td><td><div>string</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>outShowSub</div></td><td><div>子菜单是否在外部容器(outShowSubCls)中显示，<p class="font-error">ps：当前节点配置后，请勿在子菜单中再次配置</p></div></td><td><div>boolean</div></td><td><div>-</div></td><td><div>false</div></td></tr><tr><td><div>router</div></td><td><div>点击当前菜单默认选中的子菜单url</div></td><td><div>string</div></td><td><div>-</div></td><td><div>为空默认选中第一个子菜单</div></td></tr><tr><td><div>children</div></td><td><div>当前菜单的子菜单数据，子菜单参数配置同menu</div></td><td><div>object</div></td><td><div>-</div></td><td><div>-</div></td></tr></tbody></table></div><div class="stage-title flag">simpleHeadMenu方法说明：</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>方法名</th><th>说明</th><th>使用方法</th></tr></thead><tbody><tr><td><div>getSubMenuData</div></td><td><div>获取头部选中菜单在外部显示的子菜单数据，返回为一个数组。仅用于头部和左侧菜单联动使用。</div></td><td><div>如：var subData=handle.jView.find('#J_topMenu').simpleHeadMenu('getSubMenuData');</div></td></tr></tbody></table></div>>>>>>>> dev<div class="stage-title flag">最全参数demo：</div><pre><code>
var menuData = {
    outShowSubCls: 'J_menuCont', //外部显示子菜单的容器class名,请保证全局唯一
    theme: 'dark', //风格：dark,light    
    menu: [//menu数据
      {
        icon: "glyphicon glyphicon-record ",//当前节点显示的字体图标class，请查看 菜单图标
        name: "基础控件 ",//菜单显示文案
        outShowSub: true,//子菜单是否在外部容器(outShowSubCls)中显示
        router: '#index/cabin/components/icon',//点击当前菜单默认选中的子菜单url，为空默认选中第一个子菜单
        children: [//当前菜单的子菜单数据
          {
            name: "图标库 ",
            router: "#index/cabin/components/icon "
                      }
                  ]
              },
      {
        icon: "glyphicon glyphicon-record ",
        name: "组件 ",
        children: [
          {
            name: "内部插件 ",
            outShowSub: true,
            children: [
              {
                name: "提示框pop ",
                router: "#index/cabin/components/pop "
                      }
                  ]
                      },
          {
            name: "三方插件 ",
            outShowSub: true,
            router: '#index/cabin/components/chosen',
            children: [
              {
                name: "下拉框chosen ",
                router: "#index/cabin/components/chosen "
                      }
                  ]
                      }
                  ]
              },
      {
        icon: "glyphicon glyphicon-record ",
        name: "页面模板 ",
        outShowSub: true,
        router: "#index/cabin/basemodules/search ",
        children: [
          {
            name: "搜索页面 ",

            router: "#index/cabin/basemodules/search "
                      }
                  ]
              },
      {
        icon: "glyphicon glyphicon-record ",
        name: "常见疑问 ",
        router: "#index/cabin/getstart/questions "
              }
          ],
    selectedFn(dom, outshowsub, subMenuData) {//选中头部菜单回调函数，参数：选中的菜单dom，是否在外部容器显示子菜单 布尔值，选中菜单子菜单数据 数组
      if (outshowsub) {//判断是否在外部显示
        menuModule.update(subMenuData);//更新左侧菜单
      }
    }
  };
        </code></pre></div></div></div>