<div class="cabin-page-steps content-container cabin-componets-conts" id="cabin-page-steps"><div class="container-scroll"><div class="container-scroll-content"><div class="stage-title flag">Steps 步骤条</div><div class="stage-title flag">基础用法：<small>简单的步骤条</small></div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="steps-demo J_steps_cont1"></div><button class="btn btn-primary J_btn" @click="nextStep" style="margin-top:20px">下一步</button></div><div slot="html"><pre><code>//容器
		&lt;div class="J_steps_cont">&lt;/div>
		//下一步按钮
		&lt;button class="btn btn-primary J_btn">下一步&lt;/button>
		</code></pre></div><div slot="js"><pre><code>//资源引用
		require('cabin/widgets/steps/steps');
		
		//配置参数
		var param = {				
			active: 0, //设置当前激活步骤，从0开始计数，默认0
			data: [
				{					
					title: '步骤1', //步骤title
					description: '' //描述文字						
				},
				{						
					title: '步骤2', //步骤title
					description: '' //描述文字						
							},
				{
					title: '步骤3', //步骤title
					description: '' //描述文字
							},
				{
					title: '步骤4', //步骤title
					description: '' //描述文字
							},
				{
					title: '步骤5', //步骤title
					description: '' //描述文字
							}
				]
		}

		//插件调用
		handle.jView.find('.J_steps_cont').Steps(param);	

		//点击下一步执行事件
		on: {
			'click .J_btn': function () {
				if (param1.active++ > param1.data.length - 1) param1.active = 0;
				handle.jView.find('.J_steps_cont1').Steps('update', function (el, obj) {
					//更新完成后回调函数
				});
			}
		}</code></pre></div></code-temp><div class="stage-title flag">无图标用法：<small>title放在图标的位置</small></div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="steps-demo J_steps_cont7"></div></div><div slot="html"><pre><code>//容器
		&lt;div class="J_steps_cont">&lt;/div></code></pre></div><div slot="js"><pre><code>//资源引用
		require('cabin/widgets/steps/steps');
		
		//配置参数
		var param = {				
			active: 0, //设置当前激活步骤，从0开始计数，默认0
			data: [
				{					
					title: '步骤1', //步骤title
					description: '' //描述文字						
				},
				{						
					title: '步骤2', //步骤title
					description: '' //描述文字						
							},
				{
					title: '步骤3', //步骤title
					description: '' //描述文字
							},
				{
					title: '步骤4', //步骤title
					description: '' //描述文字
							},
				{
					title: '步骤5', //步骤title
					description: '' //描述文字
							}
				]
		}

		//插件调用
		handle.jView.find('.J_steps_cont').Steps(param);	

		//点击下一步执行事件
		on: {
			'click .J_btn': function () {
				if (param1.active++ > param1.data.length - 1) param1.active = 0;
				handle.jView.find('.J_steps_cont1').Steps('update', function (el, obj) {
					//更新完成后回调函数
				});
			}
		}</code></pre></div></code-temp><div class="stage-title flag">有描述的步骤条：<small>每个步骤有其对应的步骤状态描述。</small></div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="steps-demo J_steps_cont2"></div></div><div slot="html"><pre><code>//容器
		&lt;div class="J_steps_cont">&lt;/div></code></pre></div><div slot="js"><pre><code>//资源引用
		require('cabin/widgets/steps/steps');
				
		//配置参数
		var param = {
				active: 2, //设置当前激活步骤，默认0
				space: '200', //每个 step 的间距，不填写将自适应间距。支持百分比。
				data: [
					{
						title: '已完成', //步骤title
						description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					},
					{
						title: '已完成', //步骤title
						description: '这是很长很长很长很长很长很长的描述文字', //描述文字
								},
					{
						title: '进行中', //步骤title
						description: '这是很长很长很长很长很长很长的描述文字', //描述文字
								},
					{
						title: '步骤4', //步骤title
						description: '这是很长很长很长很长很长很长的描述文字', //描述文字
								},
					{
						title: '步骤5', //步骤title
						description: '这是很长很长很长很长很长很长的描述文字', //描述文字
								}
							]
			}

		//插件调用
		handle.jView.find('.J_steps_cont').Steps(param);</code></pre></div></code-temp><div class="stage-title flag">步骤条3种对齐方式（默认左对齐）：<small>左对齐：align为left，居中对齐：align为center，右对齐：align为right</small></div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="J_steps_cont3" style="margin-bottom:30px"></div><hr><div class="J_steps_cont4" style="margin-bottom:30px"></div><hr><div class="J_steps_cont5" style="margin-bottom:0"></div></div><div slot="html"><pre><code>//容器
		&lt;div class="J_steps_cont3">&lt;/div>
		&lt;div class="J_steps_cont4">&lt;/div>
		&lt;div class="J_steps_cont5">&lt;/div></code></pre></div><div slot="js"><pre><code>//资源引用
		require('cabin/widgets/steps/steps');
		
		//配置参数
		var param3 = {
			active: 0, //设置当前激活步骤，默认0
			align: 'left', //对齐方式
			data: [
				{
					icon: '', //自定义图标
					title: '步骤1', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
				},
				{
					icon: '', //自定义图标
					title: '步骤2', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
							},
				{
					icon: '', //自定义图标
					title: '步骤3', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
							}
						]
		}
		//插件调用
		handle.jView.find('.J_steps_cont3').Steps(param3);

		//配置参数
		var param4 = {
			active: 1, //设置当前激活步骤，默认0
			align: 'center', //对齐方式
			data: [
				{
					icon: '', //自定义图标
					title: '步骤1', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
				},
				{
					icon: '', //自定义图标
					title: '步骤2', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
							},
				{
					icon: '', //自定义图标
					title: '步骤3', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
							}
						]
		}
		//插件调用
		handle.jView.find('.J_steps_cont4').Steps(param4);

		//配置参数
		var param5 = {
			active: 2, //设置当前激活步骤，默认0
			align: 'right', //对齐方式
			data: [
				{
					icon: '', //自定义图标
					title: '步骤1', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
				},
				{
					icon: '', //自定义图标
					title: '步骤2', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
							},
				{
					icon: '', //自定义图标
					title: '步骤3', //步骤title
					description: '这是很长很长很长很长很长很长的描述文字', //描述文字
					status: '' //设置该步骤的状态：wait/process/finish/error/success
							}
						]
		}
		//插件调用
		handle.jView.find('.J_steps_cont5').Steps(param5);</code></pre></div></code-temp><div class="stage-title flag">带图标的步骤条（为保证图标字体颜色一致，请尽量使用cabin的字体图标）：<small>设置每个步骤的icon，支持字体图标的class名称或者完整的url链接</small></div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="steps-demo J_steps_cont6"></div></div><div slot="html"><pre><code>//容器
		&lt;div class="J_steps_cont6">&lt;/div></code></pre></div><div slot="js"><pre><code>//资源引用
		require('cabin/widgets/steps/steps');
		
		//配置参数		
		var param6 = {
			active: 2, //设置当前激活步骤，默认0
			data: [
				{
					icon: 'cabin-font-icon icon-cabin-dingdan', //自定义图标
					title: '步骤1' //步骤title
				},
				{
					icon: 'http://static.dmall.com/kayak-project/cabin/dist/cabin/common/img/calendar-icon.png', //自定义图标
					title: '步骤2' //步骤title
							},
				{
					icon: '', //自定义图标
					title: '步骤3' //步骤title
							}
						]
		}
		
		//插件调用
		handle.jView.find('.J_steps_cont6').Steps(param6);
	</code></pre></div></code-temp><div class="stage-title flag">竖式步骤条：<small>需设置参数direction为vertical，容器需设置高度</small></div><div class="stage-title flag">带图标的步骤条（为保证图标字体颜色一致，请尽量使用cabin的字体图标）：<small>设置每个步骤的icon，支持字体图标的class名称或者完整的url链接</small></div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="steps-demo J_steps_cont8" style="height:300px"></div></div><div slot="html"><pre><code>//容器
		&lt;div class="J_steps_cont8" style="height:300px;">&lt;/div></code></pre></div><div slot="js"><pre><code>//资源引用
		require('cabin/widgets/steps/steps');
		
		//配置参数		
		var param8 = {
				showIcon: true, //是否显示icon:不显示时每个title放在icon的位置，默认为显示,竖式步骤条时必须为true
				active: 2, //设置当前激活步骤，默认0				
				align: 'left', //对齐方式				
				direction: 'vertical', //设置显示方向：vertical,horizontal
				data: [
					{
						icon: '', //自定义图标
						title: '步骤1', //步骤title						
						description: '这是很长很长很长很长很长很长的描述文字' //设置该步骤的状态：wait/process/finish/error/success
					},
					{
						icon: '', //自定义图标
						title: '步骤2', //步骤title
						description: '这是很长很长很长很长很长很长的描述文字' //设置该步骤的状态：wait/process/finish/error/success
								},
					{
						icon: '', //自定义图标
						title: '步骤3', //步骤title
						description: '这是很长很长很长很长很长很长的描述文字' //设置该步骤的状态：wait/process/finish/error/success
								}
							]
			}
		
		//插件调用
		handle.jView.find('.J_steps_cont6').Steps(param6);</code></pre></div></code-temp><div class="stage"><div class="stage-title flag">Steps 参数说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>参数</th><th>说明</th><th>类型</th><th>可选值</th><th>默认值</th></tr></thead><tbody><tr><td><div>showIcon</div></td><td><div>是否显示icon:不显示时每个步骤title放在icon的位置，默认为显示，注：竖式步骤条showIcon必须为true</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>direction</div></td><td><div>显示方向</div></td><td><div>string</div></td><td><div>竖式排列：vertical/水平排列：horizontal</div></td><td><div>horizontal</div></td></tr><tr><td><div>active</div></td><td><div>设置当前激活步骤，默认0</div></td><td><div>number</div></td><td><div>-</div></td><td><div>0</div></td></tr><tr><td><div>space</div></td><td><div>每个 step 的间距，不填写将自适应间距。支持百分比。</div></td><td><div>string/number</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>align</div></td><td><div>步骤的对齐方式，注：竖式步骤条均是左对齐</div></td><td><div>string</div></td><td><div>left/center/right</div></td><td><div>left</div></td></tr><tr><td><div>finishStatus</div></td><td><div>设置结束步骤的状态</div></td><td><div>string</div></td><td><div>wait/process/finish/error/success</div></td><td><div>finish</div></td></tr><tr><td><div>processStatus</div></td><td><div>设置当前激活步骤的状态</div></td><td><div>string</div></td><td><div>wait/process/finish/error/success</div></td><td><div>process</div></td></tr><tr><td><div>data</div></td><td><div>包含步骤详细信息的数组</div></td><td><div>object</div></td><td><div>-</div></td><td><div>-</div></td></tr></tbody></table></div><div class="stage-title flag">Steps data数组部分参数说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>参数</th><th>说明</th><th>类型</th><th>可选值</th><th>默认值</th></tr></thead><tbody><tr><td><div>icon</div></td><td><div>自定义图标，支持字体图标的class名称和完整的url链接，为保证图标字体颜色一致，请尽量使用cabin的字体图标！</div></td><td><div>string</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>title</div></td><td><div>步骤标题</div></td><td><div>string</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>description</div></td><td><div>步骤的描述文字</div></td><td><div>string</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>status</div></td><td><div>设置步骤的状态，优先级高于：finishStatus和processStatus</div></td><td><div>string</div></td><td><div>wait/process/finish/error/success</div></td><td><div>-</div></td></tr></tbody></table></div><div class="stage-title flag">Steps 方法说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>方法名</th><th>说明</th><th>使用方法</th></tr></thead><tbody><tr><td><div>Steps</div></td><td><div>初始化实例</div></td><td><div>例如：var param={配置参数。。。。。} $('.J_steps_cont1').Steps(param)</div></td></tr><tr><td><div>update</div></td><td><div>更新实例，在参数发生变化时使用</div></td><td><div>例如：$('.J_steps_cont1').Steps('update', function (el, obj) {//回调函数});</div></td></tr><tr><td><div>destroy</div></td><td><div>销毁实例</div></td><td><div>例如：$('.J_steps_cont1').Steps('destroy');</div></td></tr></tbody></table></div><div class="stage-title flag">Steps 最全参数使用demo</div><div><pre><code>//资源引用
require('cabin/widgets/steps/steps');

param = {
  showIcon: true, //是否显示icon:不显示时每个title放在icon的位置，默认为显示
  active: 1, //设置当前激活步骤，默认0
  space: '', //每个 step 的间距，不填写将自适应间距。支持百分比。
  align: 'center', //对齐方式
  finishStatus: 'success', //设置结束步骤的状态:wait/process/finish/error/success,默认finish
  processStatus: 'process', //设置当前步骤的状态:wait/process/finish/error/success,默认process
  direction: 'horizontal', //设置显示方向：vertical,horizontal，默认horizontal水平排列
  data: [
    {
      icon: '', //自定义图标
      title: '步骤1',
      description: '这是一段很长很长的描述文字',
      status: '' //设置当前步骤的状态：wait/process/finish/error/success
    },
    {
      icon: '', //自定义图标
      title: '步骤2',
      description: '这是一段很长很长的描述文字',
      status: '' //设置当前步骤的状态：wait/process/finish/error/success
          },
    {
      icon: '', //自定义图标
      title: '步骤3',
      description: '这是一段很长很长的描述文字',
      status: '' //设置当前步骤的状态：wait/process/finish/error/success
          },
    {
      icon: 'http://static.dmall.com/kayak-project/medusa/dist/medusa/common/images/person_select.png', //自定义图标
      title: '步骤4',
      description: '这是一段很长很长的描述文字',
      status: '' //设置当前步骤的状态：wait/process/finish/error/success
          },
    {
      icon: '', //自定义图标
      title: '步骤5',
      description: '这是一段很长很长的描述文字',
      status: 'error' //设置当前步骤的状态：wait/process/finish/error/success
          }
        ]
}</code></pre></div></div></div></div></div>