<div class="cabin-page-suggester content-container cabin-componets-conts" id="cabin-page-suggester"><div class="container-scroll"><div class="container-scroll-content"><div class="stage-title">自动补齐suggester</div><div class="stage-title flag">基本功能</div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="floor"><input class="form-control" type="text" id="demo_default" placeholder="如 a;b;c;"></div></div><div slot="html"><pre><code>&lt;input class="form-control" type="text" id="demo_default" placeholder="如 a;b;c;" /></code></pre></div><div slot="js"><pre><code>// 基本功能，输入《;》后转化标签，粘贴带有《;》自动转化标签，如粘贴值《a;b;c;大菠萝;测试数据;》
        handle.demoDefault = $('#demo_default').suggester({
            'onSetValue': function (value) {
                console.log('回调onSetValue:', value);
            },
            'width':'inherit'
        });</code></pre></div></code-temp><div class="stage-title flag">远程自定义接口补齐</div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="floor"><input class="form-control" type="text" value="testA;testB;testC;" id="demo_remote_suggest_promise" placeholder="请输入关键字，如 abc"></div></div><div slot="html"><pre><code>&lt;input class="form-control" type="text" id="demo_remote_suggest_promise" placeholder="如 a;b;c;" /></code></pre></div><div slot="js"><pre><code>// 远程自定义补齐
            handle.demoRemoteSuggestPromise = $('#demo_remote_suggest_promise').suggester({
                'separator':/[;；]/,            // 同时支持中英文引号
                'onSuggest': function (value) {
                    return new Promise(function (resolve, reject) {
                        $.ajax({'url': '/keyword/filter', 'data': {'key': value}, 'type': 'GET'})
                            .then(function (res) {
                                if (res) {
                                    resolve(res);
                                } else {
                                    reject(res);
                                }
                            }, function (err) {
                                reject(err);
                            })
                    });
                },
                'onSetValue': function (value) {
                    console.log('回调onSetValue:', value);
                },
                'width':'480px'
            });</code></pre></div></code-temp><div class="stage-title flag">远程自定义验证规则</div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="floor"><input class="form-control" type="text" id="demo_remote_valid_promise" placeholder="请输入关键字，如 abc;"></div></div><div slot="html"><pre><code>&lt;input class="form-control" type="text" id="demo_remote_valid_promise" placeholder="如 a;b;c;" /></code></pre></div><div slot="js"><pre><code>// 远程自定义验证
        handle.demoRemoteValidPromise = $('#demo_remote_valid_promise').suggester({
            'onRemoteValid': function (value) {
                return new Promise(function (resolve, reject) {
                    $.ajax({'url': '/keyword/valid'})
                        .then(function (res) {
                            // 这里写前端验证规则，验证成功调用resolve()，验证失败reject()
                            if (res) {
                                resolve(res);
                            } else {
                                reject();
                            }
                        }, function (err) {
                            reject(err);
                        })
                });
            },
            'onRemoteValidSuccess': function (res) {
                console.log('验证成功');
            },
            'onRemoteValidFail': function (res) {
                console.log('验证失败');
            },
            'onSetValue': function (value) {
                console.log('回调onSetValue:', value);
            }
        });</code></pre></div></code-temp><div class="stage-title">远程自定义接口补齐</div><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="floor"><input class="form-control" type="text" value="testA;testB;testC;" id="demo_test" placeholder="请输入关键字，如 abc"></div></div><div slot="html"><pre><code>&lt;input class="form-control" type="text" id="demo_test" placeholder="请输入关键字，如 abc;" /></code></pre></div><div slot="js"><pre><code>// 测试所有功能
            handle.demoTest = $('#demo_test').suggester({
                'separator':/[;；]/,            // 同时支持中英文引号
                'onSuggest': function (value) {
                    return new Promise(function (resolve, reject) {
                        $.ajax({'url': '/keyword/filter', 'data': {'key': value}, 'type': 'GET'})
                            .then(function (res) {
                                if (res) {
                                    resolve(res);
                                } else {
                                    reject(res);
                                }
                            }, function (err) {
                                reject(err);
                            });
                    });
                },
                'onRemoteValid': function (value) {
                    return new Promise(function (resolve, reject) {
                        $.ajax({'url': '/keyword/valid'})
                            .then(function (res) {
                                // 这里写前端验证规则，验证成功调用resolve()，验证失败reject()
                                if (res) {
                                    resolve(res);
                                } else {
                                    reject();
                                }
                            }, function (err) {
                                reject(err);
                            });
                    });
                },
                'onRemoteValidSuccess': function (res) {
                    console.log('验证成功');
                },
                'onRemoteValidFail': function (res) {
                    console.log('验证失败');
                },
                'onSetValue': function (value) {
                    console.log('回调onSetValue:', value);
                }
            });</code></pre></div></code-temp></div></div></div>