<div class="pages-cabin-render content-container cabin-doc-markdown"><div class="container-scroll"><div class="container-scroll-content"><p>cabin模板引擎：artTemplate的<label>原始语法</label>，请慎用标准语法。artTemplate的更多介绍可以查看<a target="_blank" href="https://aui.github.io/art-template/zh-cn/docs/index.html">官方文档</a>。</p><p>页面渲染可以使用cabin在artTemplate基础上封装的<label>render()</label>。artTemplate的其他用法不变。</p><label>demo1，渲染一个无数据的模块，如下：</label><pre class="J_demo_cont"></pre><script type="text/html" class="J_demo_temp">Hello world!</script><pre><code>tpl:
			 &lt;div class="J_demo_cont"> &lt;/div>
			 &lt;script type="text/html" class="J_demo_temp">
			 	Hello world! 
			 &lt;/script>
			 </code></pre><pre class="js"><code>js:
             注：that是入口函数show中的this。
             that.render({
			tempclass: 'J_demo_temp', //模板class
			class: 'J_demo_cont', //容器class
			data: { //渲染需要的数据					
			}
		});
            </code></pre><label>demo2，渲染一个有数据的模块，如下：</label><div class="J_demo_cont1" style="display:block;padding:9.5px;margin:0 0 10px;font-size:13px;line-height:1.42857143;color:#333;word-break:break-all;word-wrap:break-word;background-color:#f5f5f5;border:1px solid #ccc;border-radius:4px"></div><script type="text/html" class="J_demo_temp1"> <%if(lists&&lists.length>0){%> <ul> <%for(var i=0;i<lists.length;++i){%> <li> <%=lists[i].value%> </li> <%}%> </ul> <%}%> </script><pre><code>tpl:
			 &lt;div class="J_demo_cont1"> &lt;/div>
			 &lt;script type="text/html" class="J_demo_temp1">
			 	&lt;%if(lists&&lists.length>0){%>
				  &lt;ul>
					&lt;%for(var i=0;i&lt;lists.length;++i){%>
					  &lt;li>
					    &lt;%=lists[i].value%>
					  &lt;/li>
					&lt;%}%>
				  &lt;/ul>
				&lt;%}%>
			 &lt;/script>
			 </code></pre><pre class="js"><code>js:
             注：that是入口函数show中的this。
             that.render({
				tempclass: 'J_demo_temp1', //模板class
				class: 'J_demo_cont1', //容器class
				data: { //渲染需要的数据
					lists: [{
						value: '我是第一条数据'
					}, {
						value: '我是第二条数据'
					}, {
						value: '我是第三条数据'
					}, {
						value: '我是第四条数据'
					}]
				}
			});
            </code></pre></div></div></div>