<div class="pages-cabin-pageConfig content-container"><div class="container-scroll"><div class="stage"><div class="stage-title flag">页面title配置<small class="font-error">页面pageTitle比main函数中title配置的优先级高，如项目title统一，建议在main函数中配置，有少数页面有特殊需求则在页面配置。</small></div><div style="padding:0 20px"><p>1、根据项目配置展示title：在项目的main函数中执行：cabin.pageConfig.TITLE = '项目title';</p><pre><code>
	define('medusa/main/main', function (require, exports, module) {
		/*版本号*/
		'kayak-version 201712071148'
		cabin.pageConfig.TITLE = '项目title';//设置当前项目的title
		handle.init();
		module.exports = handle;
	});
			</code></pre><p>2、根据页面配置展示title：在page对象上配置pageTitle</p><pre><code>
	page = Page({
		nodeClass: 'pages-cabin-pageConfig',//当前页面最外层容器的class名称
		parentClass: 'J_Main', //页面插入容器，没有就直接插入body，或者不插入
		source: ['cabin/pages/pageConfig/pageConfig.tpl', 'cabin/pages/pageConfig/pageConfig.css'],
		pageTitle: '当前页面标题',//当前页面需要展示的title
		show: function () {
			//页面进入时执行
		},
		hide: function () {
			//页面离开时执行
		},
		on: {
			//事件绑定
		}
	});
			</code></pre></div></div></div></div>