<div class="pages-cabin-dmCascader content-container cabin-componets-conts"><div class="container-scroll"><div class="container-scroll-content"><div class="stage"><div class="stage-title flag">级联</div><div style="padding:0 0 10px 0"><div><div class="J_cascader"></div></div></div></div><div class="stage"><div class="stage-title">级联参数说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>参数</th><th>说明</th><th>类型</th><th>可选值</th><th>默认值</th></tr></thead><tbody><tr><td><div>data</div></td><td><div>数据集 isLeaf是否是叶子节点，显性设置不是叶子节点课异步加载数据</div></td><td><div>array</div></td><td><div>必须</div></td><td><div>[]</div></td></tr><tr><td><div>defaultValue</div></td><td><div>默认选中数据</div></td><td><div>array</div></td><td><div>可选</div></td><td><div>[]</div></td></tr><tr><td><div>placeholder</div></td><td><div>提供可描述输入字段预期值的提示信息</div></td><td><div>string</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>onChange(value,data)</div></td><td><div>回调函数</div></td><td><div>function</div></td><td><div>-</div></td><td><div>返回参数value选中的数据集,data所有的数据集</div></td></tr><tr><td><div>loadData(callback,value,data)</div></td><td><div>回调函数</div></td><td><div>function</div></td><td><div>-</div></td><td><div>返回参数value选中的数据集,data所有的数据集，callback设置子数据集</div></td></tr></tbody></table></div><div class="stage-title flag">方法说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>方法名</th><th>说明</th><th>使用方法</th></tr></thead><tbody><tr><td><div>cascader</div></td><td><div>初始化实例</div></td><td><div>$('').cascader({ data: [ { value: 'test1', label: 'test1', isChecked:true, children: [{ value: 'test1-1', label: 'test1-1' }] }, { value: 'test2', label: 'test2', isChecked:false, children: [{ value: 'test2-1', label: 'test2-1', disabled: false }] } ], defaultValue:['test2','test2-1'], placeholder:'please select', onChange:function (value,data) { console.log(value); console.log(data); }, loadData:function (callback,value,data) { //异步显示子元素callback } }</div></td></tr><tr><td><div>setData</div></td><td><div>设置数据集</div></td><td><div>$('').cascader('setData',[{ value: 'test1', label: 'test1', isChecked:true, children: [{ value: 'test1-1', label: 'test1-1' }] }]);</div></td></tr><tr><td><div>destroy</div></td><td><div>销毁实例</div></td><td><div>$('').cascader('destroy');</div></td></tr></tbody></table></div><div class="stage-title flag">HTML</div><div style="padding:0 0 10px 0"><pre><code>
            &lt;div class="J_cascader">&lt;/div>
        </code></pre><div class="base-title">Js：</div><pre>
            <code>
                      require('cabin/widgets/cascader/cascader');
                &lt;!--初始化-->
         $('.J_cascader').cascader({
            data: [
              {
                value: 'test1',
                label: 'test1',
                isChecked:true,
                children: [{
                  value: 'test1-1',
                  label: 'test1-1',
                  children: [{
                    value: 'test1-1-1',
                    label: 'test1-1-1',
                    isLeaf:false
                  },
                    {
                      value: 'test1-1-2',
                      label: 'test1-1-2',
                      isLeaf:false
                    }
                  ]
                },
                  {
                    value: 'test1-2',
                    label: 'test1-2',
                    children: [{
                      value: 'test1-2-1',
                      label: 'test1-2-1'
                    }]
                  }]
              },
              {
                value: 'test2',
                label: 'test2',
                isChecked:false,
                children: [{
                  value: 'test2-1',
                  label: 'test2-1',
                  disabled: false,
                  children: [{
                    value: 'test2-1-1',
                    label: 'test2-1-1'
                  }]
                }]
              }
            ],
            defaultValue:['test1','test1-1','test1-1-1'],
            placeholder:'please select',
            onChange:function (value,data) {
              console.log(value);
              console.log(data);
            },
            loadData:function (callback,value,data) {
              var data = [  {
                value: 'test1-1-1-1',
                label: 'test1-1-1-1',
                isLeaf:true
              },
                {
                  value: 'test1-1-1-2',
                  label: 'test1-1-1-2',
                  isLeaf:true
                }];
                //这里异步显示数据
              setTimeout(function () {
                callback(data);
              },1000);
            }
          });
            </code>
        </pre></div></div></div></div></div>