<div class="cabin-page-multipleSelect content-container cabin-componets-conts" id="cabin-page-multipleSelect"><div class="container-scroll"><div class="container-scroll-content"><div class="stage-title flag">multipleSelect 分组选择池</div><div id="J_multipleSelect"></div><button type="button" class="btn btn-default J_btn1" @click="btn1" style="margin-top:20px">获取未选择列表</button> <button type="button" class="btn btn-default J_btn" @click="btn" style="margin-top:20px">获取选择列表</button><code-temp v-bind:showdemo="false" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false" style="margin-top:20px"><div slot="html"><pre><code>&lt;div class="" id="J_multipleSelect">&lt;/div>
		&lt;button type="button" class="btn btn-default J_btn1">获取未选择列表&lt;/button>
		&lt;button type="button" class="btn btn-default J_btn">获取选择列表&lt;/button></code></pre></div><div slot="js"><pre class="javascript"><code>//资源引用
		require('cabin/widgets/multipleSelect/multipleSelect');
		
		var param = {
				allDeleteBtn: true, //是否显示全部移除按钮,默认显示
				allSelectBtn: true, //是否显示全部添加按钮,默认显示
				selectBtn: true, //是否显示添加按钮,默认显示
				deleteBtn: true, //是否显示移除按钮,默认显示
				leftSearch: true, //是否支持可选列表查询,默认显示
				rightSearch: true, //是否支持可移除列表查询,默认显示
				showLeftDelete: true, //是否显示左边每个列表的删除按钮,默认不显示
				showRightDelete: true, //是否显示右边每个列表的删除按钮,默认不显示
				//左边可选列表
				leftData: [
					{
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'yangmei',
						value: '杨梅'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'xigua',
						value: '西瓜'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'boluo',
						value: '菠萝'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'mitao',
						value: '蜜桃'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'sangguo',
						value: '桑果'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'yali',
						value: '鸭梨'
							}],
				//右边已选列表
				rightData: [
					{
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'xiangjiao',
						value: '香蕉'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'caomei',
						value: '草莓'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'putao',
						value: '葡萄'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'pinguo',
						value: '苹果'
							}]
			}
			//初始化
			$('#J_multipleSelect').multipleSelect(param);
			
			/******************* 数据发生变化：先销毁再初始化实例 *******************/
			param.leftData.push({
				showDelete: false, //是否可删除
				code: 'ceshi',
				value: '测试'
			});
			$('#J_multipleSelect').multipleSelect('destroy');//先销毁实例
			$('#J_multipleSelect').multipleSelect(param);//再从新初始化
				
			/******************* 获取左右列表数据事件绑定如下 *******************/
		on: {
			'click .J_btn': function () { //获取选中列表
				var groupArry = $('#J_multipleSelect').multipleSelect('getSelectedGroup');				
			},
			'click .J_btn1': function () { //获取未选中列表
				var groupArry = $('#J_multipleSelect').multipleSelect('getNotSelectedGroup');				
			}
		}
			
	</code></pre></div></code-temp><div class="stage-title flag">multipleSelect 分组选择池(支持批量查询，用分号 ; 分隔)</div><div id="J_multipleSelect1"></div><button type="button" class="btn btn-default J_btn2" style="margin-top:20px">获取未选择列表</button> <button type="button" class="btn btn-default J_btn3" style="margin-top:20px">获取选择列表</button><code-temp v-bind:showdemo="false" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false" style="margin-top:20px"><div slot="html"><pre><code>&lt;div class="" id="J_multipleSelect1">&lt;/div>
		&lt;button type="button" class="btn btn-default J_btn2">获取未选择列表&lt;/button>
		&lt;button type="button" class="btn btn-default J_btn3">获取选择列表&lt;/button></code></pre></div><div slot="js"><pre class="javascript"><code>//资源引用
		require('cabin/widgets/multipleSelect/multipleSelect');
		
		var param = {
				allDeleteBtn: true, //是否显示全部移除按钮,默认显示
				allSelectBtn: true, //是否显示全部添加按钮,默认显示
				selectBtn: true, //是否显示添加按钮,默认显示
				deleteBtn: true, //是否显示移除按钮,默认显示
				leftSearch: true, //是否支持可选列表查询,默认显示
				rightSearch: true, //是否支持可移除列表查询,默认显示
				showLeftDelete: true, //是否显示左边每个列表的删除按钮,默认不显示
				showRightDelete: true, //是否显示右边每个列表的删除按钮,默认不显示
				leftMultiSearch: true, //是否支持左侧批量查询,默认为单值查询
				rightMultiSearch: true, //是否支持右侧批量查询,默认为单值查询
				//左边可选列表
				leftData: [
					{
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'yangmei',
						value: '杨梅'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'xigua',
						value: '西瓜'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'boluo',
						value: '菠萝'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'mitao',
						value: '蜜桃'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'sangguo',
						value: '桑果'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'yali',
						value: '鸭梨'
							}],
				//右边已选列表
				rightData: [
					{
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'xiangjiao',
						value: '香蕉'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'caomei',
						value: '草莓'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'putao',
						value: '葡萄'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'pinguo',
						value: '苹果'
							}]
			}
			//初始化
			$('#J_multipleSelect1').multipleSelect(param);
				
			/******************* 获取左右列表数据事件绑定如下 *******************/
		on: {
			'click .J_btn3': function () { //获取选中列表
				var groupArry = $('#J_multipleSelect1').multipleSelect('getSelectedGroup');				
			},
			'click .J_btn2': function () { //获取未选中列表
				var groupArry = $('#J_multipleSelect1').multipleSelect('getNotSelectedGroup');				
			}
		}
			
	</code></pre></div></code-temp><div class="stage-title flag">Steps 参数说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>参数</th><th>说明</th><th>类型</th><th>可选值</th><th>默认值</th></tr></thead><tbody><tr><td><div>allDeleteBtn</div></td><td><div>是否显示全部移除按钮,默认显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>allSelectBtn</div></td><td><div>是否显示全部添加按钮,默认显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>selectBtn</div></td><td><div>是否显示添加按钮,默认显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>deleteBtn</div></td><td><div>是否显示移除按钮,默认显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>leftSearch</div></td><td><div>是否支持可选列表查询,默认显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>rightSearch</div></td><td><div>是否支持可移除列表查询,默认显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>showLeftDelete</div></td><td><div>是否显示左边每个列表的删除按钮,默认不显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>showRightDelete</div></td><td><div>是否显示右边每个列表的删除按钮,默认不显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>true</div></td></tr><tr><td><div>leftData</div></td><td><div>左边可选列表</div></td><td><div>object</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>rightData</div></td><td><div>右边可选列表</div></td><td><div>object</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>leftMultiSearch</div></td><td><div>左侧是否支持批量搜索,用中文(；)或英文(;)的分号分隔</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>false</div></td></tr><tr><td><div>rightMultiSearch</div></td><td><div>右侧是否支持批量搜索,用中文(；)或英文(;)的分号分隔</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>false</div></td></tr></tbody></table></div><div class="stage-title flag">leftData、rightData数组部分参数说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>参数</th><th>说明</th><th>类型</th><th>可选值</th><th>默认值</th></tr></thead><tbody><tr><td><div>showDelete</div></td><td><div>是否显示删除按钮,默认不显示</div></td><td><div>boolean</div></td><td><div>true/false</div></td><td><div>false</div></td></tr><tr><td><div>code</div></td><td><div>唯一标识</div></td><td><div>string</div></td><td><div>-</div></td><td><div>-</div></td></tr><tr><td><div>value</div></td><td><div>值</div></td><td><div>string</div></td><td><div>-</div></td><td><div>-</div></td></tr></tbody></table></div><div class="stage-title flag">multipleSelect 方法说明</div><p class="font-error" style="margin-bottom:20px">调用getNotSelectedGroup，和getSelectedGroup方法时请先清掉搜索框的查询条件！！！</p><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>方法名</th><th>说明</th><th>使用方法</th></tr></thead><tbody><tr><td><div>multipleSelect</div></td><td><div>初始化实例</div></td><td><div>例如：var param={配置参数。。。。。} $('#J_multipleSelect').multipleSelect(param)</div></td></tr><tr><td><div>destroy</div></td><td><div>销毁实例</div></td><td><div>例如：$('#J_multipleSelect').multipleSelect('destroy')</div></td></tr><tr><td><div>getNotSelectedGroup</div></td><td><div>获取未选择列表</div></td><td><div>例如：var groupInfo=$('#J_multipleSelect').multipleSelect('getNotSelectedGroup')</div></td></tr><tr><td><div>getSelectedGroup</div></td><td><div>获取添加列表</div></td><td><div>例如：var groupInfo=$('#J_multipleSelect').multipleSelect('getSelectedGroup')</div></td></tr></tbody></table></div><div class="stage-title flag">multipleSelect 最全参数使用demo</div><div><pre><code>
		param = {
				allDeleteBtn: true, //是否显示全部移除按钮,默认显示
				allSelectBtn: true, //是否显示全部添加按钮,默认显示
				selectBtn: true, //是否显示添加按钮,默认显示
				deleteBtn: true, //是否显示移除按钮,默认显示
				leftSearch: true, //是否支持可选列表查询,默认显示
				rightSearch: true, //是否支持可移除列表查询,默认显示
				showLeftDelete: true, //是否显示左边每个列表的删除按钮,默认不显示
				showRightDelete: true, //是否显示右边每个列表的删除按钮,默认不显示
				//左边可选列表
				leftData: [
					{
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'yangmei',
						value: '杨梅'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'xigua',
						value: '西瓜'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'boluo',
						value: '菠萝'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'mitao',
						value: '蜜桃'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'sangguo',
						value: '桑果'
							}, {
						showDelete: true, //是否显示删除按钮,默认不显示
						code: 'yali',
						value: '鸭梨'
							}],
				//右边已选列表
				rightData: [
					{
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'xiangjiao',
						value: '香蕉'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'caomei',
						value: '草莓'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'putao',
						value: '葡萄'
							}, {
						isDelete: true, //是否显示删除按钮,默认不显示
						code: 'pinguo',
						value: '苹果'
							}]
			}
	</code></pre></div></div></div></div>