<div class="cabin-page-watermark content-container cabin-componets-conts cabin-doc-markdown" id="cabin-page-watermark"><div class="container-scroll"><div class="container-scroll-content"><p class="font-error">正在开发，暂勿使用</p><h2>Watermark 水印</h2><p>该插件不依赖任何技术，原生js实现，支持cabin和非Cabin体系项目使用。</p><h2>资源引入</h2><p class="font-error">非Cabin体系项目只支持手动添加水印，不支持自动。</p><ul><li>cabin项目：在需要使用的页面添加。<pre><code>var Watermark = require('cabin/widgets/watermark/watermark');</code></pre></li><li>非Cabin体系项目：全局引入一次即可。<pre><code>&lt;script src="http://static.dmall.com/kayak-project/cabin/dist/cabin/widgets/watermark/watermark.js">&lt;/script></code></pre></li></ul><h2>用法介绍</h2><h3 class="stage-title">1、手动添加水印，常规用法<span style="color:#6e6ff9">（推荐）</span>，支持更新和销毁水印。</h3><div>指定容器添加水印，引入插件，非Cabin体系项目请参考上面的引入方式，非Cabin体系项目可直接执行 new Watermark()，Watermark已经挂载至全局。用法如下：</div><pre><code>//引入插件（非Cabin体系项目忽略此步骤）
var Watermark = require('cabin/widgets/watermark/watermark');

//方法一（推荐），该用法支持更新和销毁：
var waterEx=new Watermark({
    containerCls: 'J_watermark_demo', //容器class名称
    content: '我是水印' //水印文案
});

//方法二：
var waterEx=new Watermark(); 
waterEx.render({
    containerCls: 'J_watermark_demo', //容器class名称
    content: '我是水印' //水印文案
});
</code></pre><p>demo</p><code-temp v-bind:showdemo="true" v-bind:showhtml="true" v-bind:showjs="true" v-bind:showcss="false"><div slot="demo"><div class="J_watermark_demo" style="width:100%;height:250px"></div></div><div slot="html"><pre><code>&lt;div class="J_watermark_demo" style="width:100%;height:250px;">&lt;/div></code></pre></div><div slot="js"><pre><code>
var Watermark = require('cabin/widgets/watermark/watermark');
          
var waterEx = new Watermark();
waterEx.render({
  containerCls: 'J_watermark_demo', //容器class名称
  content: '测试测试' //水印文案
});
          </code></pre></div></code-temp><div class="stage-title flag">Watermark 参数说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>参数</th><th>说明</th><th>类型</th><th>可选值</th><th>默认值</th></tr></thead><tbody><tr><td><div>containerCls</div></td><td><div>容器class名称，该class多个dom使用时，水印会在每个dom内添加。如需指定唯一容器添加，请保证class名称唯一。</div></td><td><div>string</div></td><td><div>-</div></td><td><div>当未定义containerCls时，默认会在body内添加水印。</div></td></tr><tr><td><div>content</div></td><td><div>水印文案</div></td><td><div>string</div></td><td><div>-</div></td><td><div>多点生活</div></td></tr></tbody></table></div><div class="stage-title flag">Watermark 方法说明</div><div class="table-responsive"><table class="cabinTable table table-hover table-top-bordered table-bottom-bordered"><thead><tr><th>方法名</th><th>说明</th><th>使用方法</th></tr></thead><tbody><tr><td><div>render</div></td><td><div>初始化实例</div></td><td><div>例如：声明的水印实例.render(options);</div></td></tr><tr><td><div>update</div></td><td><div>更新实例，在参数发生变化时使用</div></td><td><div>例如：声明的水印实例.update(options);注：更新时无需传递containerCls，会沿用render()时的containerCls参数。</div></td></tr><tr><td><div>destroy</div></td><td><div>销毁实例</div></td><td><div>例如：声明的水印实例.destroy();</div></td></tr></tbody></table></div><h3 class="stage-title">2、页面自动添加水印（不支持更新和销毁水印）</h3><p>jq和vue用法分别在page()和vuePage()中配置参数config.watermark，详细参数查看如下代码：</p><ul><li><p>jq：</p><pre><code>
var watermark = require('cabin/widgets/watermark/watermark');

page = Page({
  nodeClass: 'pages-cabin-xxx',
  parentClass: 'J_Main', // 没有就直接插入body，或者不插入
  source: ['cabin/pages/components/xxx/xxx.tpl', 'cabin/pages/components/xxx/xxx.css'],
  config：{
    watermark:{ 
       autoAdd: true,//是否自动添加水印
       content: '我是水印',//水印文案
    }
  },
  show: function () {
    handle.jView = this.jView;
  },
  hide: function () {},
  on: {}
});
          </code></pre></li><li><p>vue：</p><pre><code>
var watermark = require('cabin/widgets/watermark/watermark');

page = VuePage({
  source: ['cabin/pages/xxx/xxx.tpl', 'cabin/pages/xxx/xxx.css'],
  el: 'cabin-page-xxx',
  config：{
    watermark:{ 
       autoAdd: true,//是否自动添加水印
       content: '我是水印',//水印文案
    }
  },
  data: function () {
    return {}
  },
  mounted: function () {
    this.$nextTick(function () {
     
    });
  },
  beforeDestory: function () {},
  methods: {}
});
          </code></pre></li></ul><h3 class="stage-title">3、项目自动添加水印（不支持更新和销毁水印）：在入口页面配置cabin.config.watermark，详细参数查看如下代码：</h3><p>不需要自动添加水印的页面在pageLists列表中添加相应页面的define命名。</p><p class="font-error">该功能请慎用，目前仅partner项目需要配置。</p><pre><code>
......
seajs.use([
      'kayak/core/kayak',
      'cabincore/core/cabin', //使用cabincore里面的资源
      'cabincore/style/base.css', //使用cabincore里面的资源
      'cabin/theme/xxx/xxxup.css',
      'cabinpro/theme/xxx/xxx.css'
    ], function(kayak) {    
  //通过当前入口页 访问的页面 自动添加水印
cabin.config = $.extend(cabin.config || {}, {
  watermark: {
    autoAdd: true, //是否自动添加水印
    content: '我是水印', //水印文案
    projectName: 'cabin', //项目名称
    pageLists: [ //页面define的路径，列表为不需要自动添加水印的页面
      'cabin/pages/components/up/btn/btn',
      'cabincenter/pages/intro/intro'
    ]
  }
}); 

......
}
</code></pre></div></div></div>