<div class="pages-cabin-pddatepicker cabin"><div class="pddatepicker-content"><form class="form-inline"><div class="form-group cabin-date-range" id="abc"><input type="text" class="form-control icondate time1" placeholder="placeholder" style="margin-bottom:10px"> <input type="text" class="form-control icondate" id="time2" placeholder="placeholder" style="margin-bottom:10px"> <input type="text" class="form-control icondate" id="time3" placeholder="placeholder" style="margin-bottom:10px"> <input type="text" class="form-control icondate" id="time4" placeholder="placeholder" style="margin-bottom:10px"> <input type="text" class="form-control icondate" id="time5" placeholder="placeholder" style="margin-bottom:10px"> <input type="text" class="form-control icondate" id="time6" placeholder="placeholder" style="margin-bottom:10px"></div></form><p>参数说明：</p><p>startView:日期时间选择器打开之后首先显示的视图，值有：1~4，分别表示为：year：1，month：2，day：3，(hour:min)：4</p><p>maxView:日期时间选择器最高能展示的选择范围视图，默认值为4</p><p>minView:日期时间选择器所能够提供的最精确的时间选择视图，默认值为1</p><p>initDate:默认显示时间,如：'2016-11-19 15:27'</p><p>startDate:开始时间，如：'2016-11-12 15:27'</p><p>endDate:结束时间，如：'2017-11-12 15:27'</p><p>language:显示语言，默认为中文，值有：cn，en。建议使用默认的，无需配置</p><p>format:格式化，如：'YYYY-MM-DD HH:mm',</p><p>minuteRange:分钟间隔，如：1（表示间隔为1分钟）</p><p>containerId:弹出相对布局的容器，建议使用默认的，无需配置</p><p>hourList:自定义可选小时列表，例如：[09,10,11,12,14,18]</p><p style="color:red">PS:initDate配置项必须包含年月日。</p><p style="padding:15px 0">HTML代码如下</p><pre>
			<code class="xml">
		&lt;form class="form-inline">
			&lt;div class="form-group cabin-date-range" id="abc">
				&lt;input type="text" class="form-control icondate" id="time1" placeholder="placeholder" style="margin-bottom:10px;">
				&lt;input type="text" class="form-control icondate" id="time2" placeholder="placeholder" style="margin-bottom:10px;">
				&lt;input type="text" class="form-control icondate" id="time3" placeholder="placeholder" style="margin-bottom:10px;">
				&lt;input type="text" class="form-control icondate" id="time4" placeholder="placeholder" style="margin-bottom:10px;">
				&lt;input type="text" class="form-control icondate" id="time5" placeholder="placeholder" style="margin-bottom:10px;">
				&lt;input type="text" class="form-control icondate" id="time6" placeholder="placeholder" style="margin-bottom:10px;">
			&lt;/div>
		&lt;/form>		
			</code>
		</pre><p style="padding:15px 0">JS代码如下</p><pre>
			<code class="js">
	require('cabin/lib/daterangepicker/moment.js');
	require('cabin/widgets/pddatepicker/pddatepicker.js');
		$('#time1').PdDatePicker({
				startView: 4,
				initDate: '2016-11-19 15:27',
				format: 'HH:mm',
				containerId: 'abc'
			}).on('change', function (evt,data) {
				console.log(data)
			});
			$('#time2').PdDatePicker({
				startView: 3,
				initDate: '2016-11-19 15:27',
				format: 'YYYY-MM-DD HH:mm',
				//containerId: 'abc'
			}).on('change', function (evt,data) {
				console.log(data)
			});
			$('#time3').PdDatePicker({
				startView: 3,
				maxView: 1,
				minView: 4,
				initDate: '2016-11-19 15:27',
				startDate: '2016-11-10',
				format: 'YYYY-MM HH:mm',
				//containerId: 'abc'
			}).on('change', function (evt,data) {
				console.log(data)
			});
			$('#time4').PdDatePicker({
				startView: 2,
				initDate: '2016-11-19 15:27',
				startDate: '2016-11-10',
				endDate: '2017-11-10',
				format: 'YYYY-MM-DD',
				//containerId: 'abc'
			}).on('change', function (evt,data) {
				console.log(data)
			});
			$('#time5').PdDatePicker({
				startView: 4,
				initDate: '2016-11-19 15:27',
				format: 'YYYY HH:mm',
				//containerId: 'abc'
			}).on('change', function (evt,data) {
				console.log(data)
			});
			$('#time6').PdDatePicker({
				startView: 3,
				initDate: '2016-11-19 15:27',
				format: 'MM-DD HH:mm',
				//containerId: 'abc'
			}).on('change', function (evt,data) {
				console.log(data)
			});
			$('#time6').PdDatePicker('destroy');
			</code>
		</pre></div></div>